Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 604485 - synaptics allows invalid mode to be set
synaptics allows invalid mode to be set
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: xorg-x11-drv-synaptics (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Peter Hutterer
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-15 23:12 EDT by Peter Hutterer
Modified: 2010-11-10 16:56 EST (History)
1 user (show)

See Also:
Fixed In Version: xorg-x11-drv-synaptics-1.2.1-5.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 16:56:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Hutterer 2010-06-15 23:12:57 EDT
Description of problem:
the synaptics driver always reports success on a mode switch call, leading to the device seemingly being in absolute mode when it isn't.

Version-Release number of selected component (if applicable):
xorg-x11-drv-synaptics-1.2.1-3.el6


Steps to Reproduce:

0. xinput list "SynPS/2 Synaptics TouchPad" | grep Mode
(mode is listed as relative)

1. xinput set-mode "SynPS/2 Synaptics TouchPad" ABSOLUTE
2. xinput list "SynPS/2 Synaptics TouchPad" | grep Mode
(mode is listed as abolute)

except that the touchpad still works in relative mode.
Comment 1 RHEL Product and Program Management 2010-06-15 23:13:09 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 2 Peter Hutterer 2010-06-16 23:27:50 EDT
MODIFIED

xorg-x11-drv-synaptics-1.2.1-5.el6 is available in brew.
Comment 4 Radek Lat 2010-08-18 04:32:08 EDT
Tested and Verified on xorg-x11-drv-synaptics-1.2.1-5.el6.x86_64, moving to VERIFIED.
Comment 5 releng-rhel@redhat.com 2010-11-10 16:56:57 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.